Isotope eCommerce Changelog
===========================

Version 2.1.15-stable (2015-08-11)
----------------------------------

### Improved
- New database index to improve translation performance (#1460)
- Redirect to confirmation page instead of 404 error on duplicate order (#1441)
- Do not inherit backend product filter settings for variant view (#1457)

### Fixed
- Missing notification_center tokens for file export (#1475)
- Order document number was not stored when generated from hook (#1485)
- Order ID was not transmitted to Google Analytics (#1459)
- Translation only worked with two-character languages (#1456)
- Template modification could result in empty content on ajax product load (#1452)


Version 2.1.14-stable (2015-06-16)
----------------------------------

### Fixed
- Order could be completed multiple times (#1441)
- Checkout could be processed with errors in Cart (#1403)
- Couldn't upload same product image multiple times in edit-all mode (#1453)
- Description for attribute types was not shown (#1447)
- Missing labels for week calculation in sales reports (#1454)
- Order history module could not handle multiple shop configurations (#1449)


Version 2.1.13-stable (2015-05-04)
----------------------------------

### Improved
- Line breaks were not visible when using a textarea field in order conditions (#1401)
- Decode entities in attribute name (#1431)
- Documents are now generated in the language of the order (#1434)

### Fixed
- Non-admins could see daily overview of shop configs they don't have access to (#1416)
- Missing date format in sales total statistics (#1406)
- Months without data were sometimes not shown in the statistics (#1430)
- Tax ID was not persisted for product collection surcharges (#1381)


Version 2.1.12-stable (2015-03-17)
----------------------------------

### Improved
- Better Postfinance postsale handling
- Only filter by groups if one is set (fixes #1373)
- Check transaction status for PayOne payments (#1392)
- Better logging when notification for order status was not found (#1391)

### Fixed
- Filter fields could overwrite product properties if property was not customer defined/variant option
- Added missing collection ID to template (#1394)
- Default value for tl_iso_config.cartMinSubtotal was empty instead of decimal (#1367)
- Month and week reports were not correctly sorted across years (#1359)
- Category scope "product" in product list module should not be cached (#1383)
- Warning if products are not assigned to any category (#1398)


Version 2.1.11-stable (2015-02-10)
----------------------------------

### Improved
- Setting for "reference page" was not visible in the product filter module
- Product group popup does no longer apply the active group filter

### Fixed
- Composer installer could not find namespace class loader dependency
- Taxes for shipping address were not applied before checkout
- Gallery only included the last JavaScript template on AJAX request (#1357)
- Possible message when product has no price attribute (#1353)


Version 2.1.10-stable (2015-01-13)
----------------------------------

### Improved
- Disabled chosen menu for store country selection (did not work with subdivision selection)
- Payment method correctly return an invalid order if not found instead of throwing exceptions
- Do not allow to add parent of variant product to the collection (#1303)
- Text attributes were always 255 chars in database (#1329)
- Add class "active" to first inline gallery image by default (#1342)
- Remove disabled fields from member addresses on checkout (#1279)

### Fixed
- Postsale requests did not work when using Composer (#1136)
- Default template setting for product collection was missing
- Products not inside a group could not always be edited by regular users
- Cached InsertTags in order prefix were not replaced
- Permission for new records was not correctly added to group if it was not the first in the list
- Tax class name should not be used as label (#1317)
- Empty related products prevented page indexing (#1316)
- strlen() call on postsale parameters that are potentially arrays (#1331)
- Payone language parameter should not be uppercase (#1333)
- Shipping tax was applied even if no products were shipped
- Shipping address could not be changed in checkout process (#1322)
- Product filter on dynamic attributes could lead to error message (#1318)
- Rules were not applied to net and gross prices (#1294)
- Tax free total for surcharges was incorrectly calculated (#1294)
- Rule with member restrictions blocked postsale checkout (#1314)


Version 2.1.9-stable (2014-11-18)
---------------------------------

### Improved
- Show error instead of confirm message if order status notification could not be sent
- Delete a member's cart when the member is deleted (#1296)
- Correctly select "use billing address" when shipping and billing address are the same
- Added log messages when toggling visibility of product and download (#1310)

### Fixed
- Order total was not shown in the backend order list (#1282)
- Always load language files in postsale script (#1281)
- Correctly format shipping addresses in checkout step (#1278)
- Shipping address was not available when billing address was automatically chosen (#1267)
- Reports daily summary showed incorrect number of orders (#1268)


Version 2.1.8-stable (2014-10-01)
---------------------------------

### Fixed
- Restore basic entities in payment methods (#1256)
- Images with same name did overwrite previous uploads (#1247)
- Multiple upload issues on IE browser (#1238)


Version 2.1.7-stable (2014-09-01)
---------------------------------

### Fixed
- Runtime notice on the 2.1.6 upgrade (#1233)
- Recoverable error when viewing backend order details (#1234)
- Broken table (incorrect colspan) when product in collection had an error
- Issue in product type attributes manager when moving variant attributes (#1213)


Version 2.1.6-stable (2014-08-26)
---------------------------------

### Fixed
- Shipping methods included products exempt from shipping in per product and per item calculation mode (#1218)
- Not all product variants were available (#1215)
- New addresses were not added with the correct store ID after checkout (#1216)
- It was not possible to translate product images
- Order details should not link to unavailable products (#1232)
- Do not show products assigned to unpublished pages (#1231)
- TCPDF issue for documents on Contao 3.3 (#1210)


Version 2.1.5-stable (2014-08-11)
---------------------------------

### Improved
- Replace inserttags in backend order view to support 3th-party extensions (#1186)
- Cart was not available in postsale process (#1196)
- Allow to pass addresses to Isotope::calculatePrice for correct tax calculation (#1196)

### Fixed
- Orders were tracked twice in Google Analytics (#1184)
- Google Analytics eCommerce must have a product SKU (#1181)
- New product collections were reported as locked (#1190)
- Asset import could result in uppercase folder names (#1204)
- The backend setup welcome legend was not translatable
- Minimum product quantity was not applied when only one price tier was set (#1183)
- Multiple advanced prices could result in incorrect from price (related to #1183)
- FORM_DATA session was overwritten by checkout condition form (#1211)


Version 2.1.4-stable (2014-07-21)
---------------------------------

### Improved
- Product group view breadcrumb was not working, removed because it does not provide any useful functionality

### Fixed
- Database update trying to add attributes with no internal field name to database
- Toggle group in popup picker did not work in Contao 3.3 (#1148)
- Datepicker icons were missing in reports module in Contao 3.2 (#1161)
- Invalid date input caused exceptions (#1162)
- Creating attributes in DCA caused fatal error (#1166)
- Invalid input in related products field caused database exception (#1158)
- Allow payment modules to change postsale parameters "mod" and "id" (#1137)
- Improved URL input handling to generate 404 pages when using folder URLs (#1131)
- Order status was not always updated correctly in the backend (#1172)
- Product downloads were not counted so the limit was not applied (#1164)
- Total sales summary was always the last value in the column (#1163)
- Sales total chart was broken when reporting days within multiple months (#1163)
- Address book module did not display widget errors (#1176)


Version 2.1.3-stable (2014-06-30)
---------------------------------

### Improved
- Inherited fields can now be multi-edited

### Fixed
- Composer dependencies (#1124)
- Date added was not updated when copying a product in the back end (#1126)
- Another error when setting a redirect page for product search (#1068)
- Disable variant checkbox if no variant attributes are available in product type (#1114)
- Product variants did show up even if product was unpublished (#1120)
- URLs for Sparkasse and Worldpay payment methods were incorrectly generated (#1141 and #1142)
- CDATA statement in javascript caused issue in Sparkasse payment method (#1140)
- Front end javascript was not compatible with IE8 (#1155)
- Order of fields in product type was not applied to palette (#1135)
- Edit-multiple failed in Contao 3.3 (#1150)
- Copy fallback language was not working (#1151)
- From price was not shown for variants with price tiers (#1146)
- Incorrect tax free total in product collection template
- Tax free total for surcharge was always empty (#1149)
- Tax free total for surcharge was not available in collection template
- Tax free subtotal of order was shown as total in product collection template
- Collection template did not correctly display variant attributes in text mode (#1125)
- Payone cannot handle correctly URL encoded values (#1137)


Version 2.1.2-stable (2014-06-02)
---------------------------------

### Fixed
- Request cache did not consider variant filtering (#1100)
- Wrong column count in collection template again (#1091)
- Assets import calling to classes in wrong namespace (#1113)
- TypeAgent not being compatible with Contao 3.3 changes
- Product translations not being compatible with Contao 3.3 changes (#1109)
- HAVING support was incompatible with Contao 3.3 (#1112)
- Product filter removed all parameters except page instead of the opposite (#1098)
- DatePicker was not compatible with changes introduced in Contao 3.3 (#1119)
- Related products module could get hidden in edge case (#1090)
- Fatal error when setting a redirect page for product search (#1068)
- Prevent Contao from trying to load an empty tinyMCE config (#1111)
- Variants were not shown if product group filter was applied (#1097)
- Attributes were always initialized with array default value (#1021)


Version 2.1.1-stable (2014-05-20)
---------------------------------

### Fixed
- Payment and shipping method name was not shown in product collection (#1052)
- Reports did not show headline and panels (#1051)
- Single variant option was shown on ajax load (#1066)
- Price was zero if minimum quantity is more than one (#1058)
- Show tax class option in group price shipping method (#1064)
- Issue with weight calculation (#1074)
- Could not assign cumulative filters to product list module
- Images were not included in back end document generation (#1053)
- Attribute sorting was ignored in product type (#1083)
- Product filter did not redirect for search results (#1068)
- Dynamically generate header fields for downloads (#1088)
- "Save & New" created a new product instead of variant (#1080)
- Namespace issue in Saferpay payment module (#1089)
- Do not generate sitemap links for unpublished pages (#1092)
- Wrong column count in collection template (#1091)
- Remove page parameter on product filter action (#1098)


Version 2.1.0-stable (2014-04-01)
---------------------------------

### Fixed
- SQL error in product filter module (#1028)


Version 2.1.0-rc1 (2014-03-10)
--------------------------------

### New
- Do not allow to setup variant products if no such attributes are defined (#975)
- Product filter can redirect to a list page (#963)

### Improved
- Added missing <thead> and <tbody> tags to mod_iso_history template (#997)
- Added filter and search panel to product type back end (#987)
- Show error if no variant option is selected in product type (#975)
- Display of the order conditions form in the back end
- Improved variant option usability in product type
- Changed tokens for shipping and billing address (#958)
- Tableless condition form is now configured in the form generator (#978)

### Fixed
- Missing argument in new Google Tracking code (#992)
- Missing argument in new Google Tracking code (#992)
- Using $this in closure for lightbox choice (#988)


Version 2.1.0-beta1 (2014-02-07)
--------------------------------

### New
- Support InsertTags in WHERE condition in filter, list and variant list (#731)
- Set colors for order status to highlight them in the backend view (#781)
- Optionally require login to see member order details (#930)
- Automatically update currencies when changing store config settings (#625)
- Track orders using Google Analytics (#927)

### Improved
- Select moo_ or j_ template to reload gallery on ajax update (#909)
- Added a tax-free label to the price dropdown (#971)
